<?php
require_once("../../../../dompdf/dompdf_config.inc.php");
require_once "../../../../dompdf/www/functions.inc.php";
require_once '../../../../app/model/db.class.php';
require_once '../../../../app/model/bs_info_col.php';
require_once '../rangos.php';

if (!isset($_SESSION)) { session_start(); }
date_default_timezone_set("America/Bogota");

//-----------------------------------------


function generar_pdf($carpeta, $html, $codigo) {

    $dompdf = new DOMPDF();
    $dompdf->load_html($html);
    $dompdf->set_paper('letter', 'portrait');
    $dompdf->render();
    $output = $dompdf->output();
    file_put_contents($carpeta . $codigo . '.pdf', $output);
}

//-----------------------------------------

if (empty($_REQUEST['incr']))
    $e = 0;
else
    $e = $_REQUEST['incr'];

$grado = $_REQUEST['grado'];
$curso = $_REQUEST['curso'];

$ob= new database();
$ob->conectar();
$ob->consulta("set names 'utf8'");

                
$nm = $ob->consulta("SELECT * from matriculas 
                     WHERE grado='".$grado."'
                     AND estado='A' ");

$tot = $ob->numero_de_filas($nm);

if ($tot > 0){


   $param=$ob->consulta("select * from parametros");
   $row_p=$ob->fetch_assoc($param);


    $resultadoe = $ob->consulta("SELECT * from matriculas 
                                 WHERE grado='".$grado."'
                                 AND estado='A'");


while ($x = $ob->fetch_assoc($resultadoe)) {

$infocur=$ob->consulta("select * from cursos 
                        where grado='".$grado."' 
                        and codigo='".$x['curso']."'");
    
$curso = $ob->fetch_assoc($infocur);

$nombre_curso=$curso['descripcion'];
                               
$html ="
<html>
<head>        
<meta http-equiv='expires' content='0'>
<meta http-equiv='Cache-Control' content='no-cache'>
<meta http-equiv='Pragma' CONTENT='no-cache'>
           
<title>C&Oacute;digo QR</title>  
  
<style>
    
  #footer { position: fixed; left: 0px; bottom:0px; right: 0px; height: 300px; background-color: white; }
  #footer .page:after { content: counter(page, upper-roman); }
  @page { margin: 30px 30px 0px 30px; }
   
</style>
</head>

<body background='../../../../imagenes/escudo_constancia.jpg' style='background:center;background-repeat:no-repeat;background-attachment:fixed'>
<CENTER>
<img height='170' width='80%' src='../../../../imagenes/encabezado_boletin.jpg'/>
</CENTER><br><br><br>";

$html.="
<table style='font-family: verdana,arial,sans-serif;font-size: 14px;' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'  align='center'>         

<tr style='font-size:12px'>

<td align='center' rowspan='6' width='35%'>
    <img height='160' width='120' src='../../../../fotos/".$x['codigo'].".jpg'/>&nbsp;&nbsp;&nbsp;
</td> 

<td style='background:#CEECF5;font-size:12px' align='center' width='35%'>IDENTIFICACI&Oacute;N</td> 
<td style='background:#CEECF5;font-size:12px' align='center' width='30%'>NOMBRES Y APELLIDOS</td>                               
</tr>";

$query=$ob->consulta("select * from alumnos 
                      where codigo='".$x['codigo']."'");
                      
$data= $ob->fetch_assoc($query);

$cedula=$data['acudiente'];

if ($data['sexo']=='1')
    $sexo="MASCULINO";
if ($data['sexo']=='2')
    $sexo="FEMENINO";

      /*---- TIPO DE SANGRE ------*/
      $tiposangre="";
      
      if ($data['tiposangre']=='1')
         $tiposangre='AB+';
      else if ($data['tiposangre']=='2')
         $tiposangre='AB-';
      else if ($data['tiposangre']=='3')
         $tiposangre='A+';
      else if ($data['tiposangre']=='4')
         $tiposangre='A-';
      else if ($data['tiposangre']=='5')
         $tiposangre='O+';
      else if ($data['tiposangre']=='6')
         $tiposangre='O-';
      else if ($data['tiposangre']=='7')
         $tiposangre='B+';
      else if ($data['tiposangre']=='8')
         $tiposangre='B-'; 


      /*---- PARENTESCO ------*/
      $parentesco="";
      
      if ($data['parentesco']=='1')
         $parentesco='PADRE';
      else if ($data['parentesco']=='2')
         $parentesco='MADRE';
      else if ($data['parentesco']=='3')
         $parentesco='ABUELO';
      else if ($data['parentesco']=='4')
         $parentesco='ABUELA';
      else if ($data['parentesco']=='5')
         $parentesco='TIO';
      else if ($data['parentesco']=='6')
         $parentesco='TIA';
      else if ($data['parentesco']=='7')
         $parentesco='PRIMA';
      else if ($data['parentesco']=='8')
         $parentesco='PRIMO';
      else if ($data['parentesco']=='9')
         $parentesco='HERMANO';
      else if ($data['parentesco']=='10')
         $parentesco='HERMANA';
      else if ($data['parentesco']=='11')
         $parentesco='PADRASTRO';
      else if ($data['parentesco']=='12')
         $parentesco='MADRASTRA';

$query1=$ob->consulta("select * from datosfamiliares 
                      where cedula='".$cedula."'");
                      
$data1= $ob->fetch_assoc($query1);

$acudiente=$data1['p_nombre']." ".$data1['s_nombre']." ".$data1['p_apellido']." ".$data1['s_apellido'];
$tel_acudiente=$data1['telres'];
	 
$html.="
<tr style='font-size:12px'>
<td align='center'><BR>". $data['nodoc']."<BR></td> 
<td align='center'>".($data['p_apellido'])." ".($data['s_apellido'])." ".($data['p_nombre'])." ".($data['s_nombre'])."</td>                               
</tr> 

<tr style='background:#CEECF5;font-size:12px'>
<td align='center'>G&Eacute;NERO</td> 
<td align='center'>RH</td>                               
</tr>

<tr style='font-size:12px'>
<td align='center'><BR>".$sexo."<BR></td> 
<td align='center'>". $tiposangre."</td>                               
</tr>


<tr style='background:#CEECF5;font-size:12px'>
<td align='center'>CELULAR</td> 
<td align='center'>E-MAIL</td>                               
</tr>

<tr style='font-size:12px'>
<td align='center'><BR>". $data['telefono']."<BR></td> 
<td align='center'>". $data['correo']."</td>                               
</tr>



<tr style='background:#CEECF5;font-size:12px'>
<td align='center'>DIRECCI&Oacute;N</td> 
<td align='center'>C&Oacute;DIGO</td>
<td align='center'>GRADO</td>                                
</tr>

<tr style='font-size:12px'>
<td align='center'><BR>". $data['direccion']."<BR></td> 
<td align='center'>". $data['codigo']."</td>
<td align='center'>".$nombre_curso." <BR> A&Ntilde;O LECTIVO ".$_SESSION['anolectivo']."</td>                               
</tr>


<tr style='background:#CEECF5;font-size:12px'>
<td align='center'>ACUDIENTE</td> 
<td align='center'>PARENTESCO</td>
<td align='center'>TEL. EMERGENCIA</td>                                
</tr>

<tr style='font-size:12px'>
<td align='center'><BR>". $acudiente."<BR></td> 
<td align='center'>". $parentesco."</td>
<td align='center'>". $tel_acudiente."</td> 

</table>"; 
        
$html.="
<div id='footer'>  
<center>
<br><br><br>

        <table width='90%' border='0'  align='center' id='font'>
              
        <tr style='font-size:14px'>
        <td align='center'>

        <hr width='40%'>

        <b>WALTER CIRO RESTREPO</b>
        <br>
        <FONT SIZE='2'>Rector</FONT>

        </td>

    </tr>
    </table>
</center>  
</div>
</body>
</html>";
         

generar_pdf('../../../../carnet/', ($html), ($x['codigo']));


}

$ob->disconnect();


$e = $e + 10;

if ($e<$tot)
    header('Location: boletin_academico_curso.php?incr='.$e);

    
}

?>